#ifndef EDAPI_JOURNAL_ENTRY_H
#define EDAPI_JOURNAL_ENTRY_H

#include <edapi/error.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

struct _EDJournalEntryClass {
    GObjectClass parent_class;

    gpointer padding[42];
};

G_DECLARE_DERIVABLE_TYPE(
    EDJournalEntry, ed_journal_entry, ED, JOURNALENTRY, GObject);

#define ED_TYPE_JOURNALENTRY ed_journal_entry_get_type()

EDJournalEntry *ed_journal_entry_new(void);

EDJournalEntry *ed_journal_entry_new_parse(gchar const *line, GError **error);

EDErrorCode ed_journal_entry_parse(EDJournalEntry *self,
                                   gchar const *line,
                                   GError **error);

G_END_DECLS

#endif
